CREATE TABLE IF NOT EXISTS `#__odude_profile` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `facebook_id` text NOT NULL,
  `pic` text NOT NULL,
  `point` int(10) NOT NULL,
  `exp_date` date NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;


CREATE TABLE IF NOT EXISTS `#__odude_invite` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `from` varchar(50) NOT NULL,
  `to` varchar(50) NOT NULL,
  `done` varchar(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;


CREATE TABLE IF NOT EXISTS `#__odude_profile_point` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ffrom` varchar(50) NOT NULL,
  `tto` varchar(50) NOT NULL,
  `point` int(10) NOT NULL,
  `days` int(5) NOT NULL,
  `type` varchar(50) NOT NULL,
  `date` datetime NOT NULL,
  `url` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;


CREATE TABLE IF NOT EXISTS `#__odude_profile_data` (
 `dataid` int(6) NOT NULL AUTO_INCREMENT,
  `aid` int(6) NOT NULL,
  `tag` text NOT NULL,
  `desp` text NOT NULL,
  `country` text NOT NULL,
  `city` text NOT NULL,
  `gender` text NOT NULL,
  `block` tinyint(1) NOT NULL,
   PRIMARY KEY (`dataid`)
	) ENGINE=MyISAM;


CREATE TABLE IF NOT EXISTS `#__odude_profile_field` (
  `id` int(4) NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL,
  `label` varchar(50) NOT NULL,
  `html` text NOT NULL,
  `type` varchar(10) NOT NULL,
  `ordering` tinyint(1) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `link` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
	) ENGINE=MyISAM;


CREATE TABLE IF NOT EXISTS `#__odude_profile_file` (
`id` int(10) NOT NULL AUTO_INCREMENT,
  `aid` int(10) NOT NULL,
  `file` text NOT NULL,
  `falias` text NOT NULL,
  `pic_title` text NOT NULL,
  `pic_desp` text NOT NULL,
  `published` tinyint(1) NOT NULL,
  `ordering` int(5) NOT NULL,
  PRIMARY KEY (`id`)
	) ENGINE=MyISAM;


CREATE TABLE IF NOT EXISTS `#__odude_profile_setting` (
  `id` int(1) NOT NULL,
  `gateway` varchar(20) NOT NULL,
  `cart_desp` text NOT NULL,
  `paypal_email` text NOT NULL,
  `auth_login` varchar(100) NOT NULL,
  `auth_secret` varchar(100) NOT NULL,
  `twoco_vender` varchar(100) NOT NULL,
  `twoco_secret` varchar(100) NOT NULL,
  `sandbox` tinyint(1) NOT NULL,
  `currency` varchar(10) NOT NULL,
  `cart_1` int(10) NOT NULL,
  `day_cart_1` int(4) NOT NULL,
  `cost_cart_1` int(4) NOT NULL,
  `cart_2` int(10) NOT NULL,
  `day_cart_2` int(4) NOT NULL,
  `cost_cart_2` int(4) NOT NULL,
  `cart_3` int(10) NOT NULL,
  `day_cart_3` int(4) NOT NULL,
  `cost_cart_3` int(4) NOT NULL,
  `cart_4` int(10) NOT NULL,
  `day_cart_4` int(4) NOT NULL,
  `cost_cart_4` int(4) NOT NULL,
  `cart_5` int(10) NOT NULL,
  `day_cart_5` int(4) NOT NULL,
  `cost_cart_5` int(4) NOT NULL,
  `cart_6` int(10) NOT NULL,
  `day_cart_6` int(4) NOT NULL,
  `cost_cart_6` int(4) NOT NULL,
  `cart_7` int(10) NOT NULL,
  `day_cart_7` int(4) NOT NULL,
  `cost_cart_7` int(4) NOT NULL,
  `cart_8` int(10) NOT NULL,
  `day_cart_8` int(4) NOT NULL,
  `cost_cart_8` int(4) NOT NULL,
  `cart_9` int(10) NOT NULL,
  `day_cart_9` int(4) NOT NULL,
  `cost_cart_9` int(4) NOT NULL,
  `cart_10` int(10) NOT NULL,
  `day_cart_10` int(4) NOT NULL,
  `cost_cart_10` int(4) NOT NULL,
   `bonuspt` int(10) NOT NULL,
  `bonusdays` int(3) NOT NULL,
  
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;


CREATE TABLE  `#__odude_profile_log` (
`id` INT( 10 ) NOT NULL AUTO_INCREMENT ,
`log` TEXT NOT NULL ,
PRIMARY KEY (  `id` )
) ENGINE = MYISAM ;



CREATE TABLE IF NOT EXISTS `#__odude_profile_enroll` (
  `fid` int(10) NOT NULL,
  `email` varchar(150) NOT NULL,
  `samaya` date NOT NULL,
  `enrolled` int(1) NOT NULL
) ENGINE=MyISAM;



CREATE TABLE IF NOT EXISTS `#__odude_profile_offer` (
  `fid` int(10) NOT NULL,
  `point` int(10) NOT NULL,
  `days` int(3) NOT NULL,
  `cost` int(4) NOT NULL,
  `offer` text NOT NULL,
  `member` varchar(100) NOT NULL,
  PRIMARY KEY (`fid`)
) ENGINE=MyISAM;



INSERT INTO `#__odude_profile_field` (`id`, `name`, `label`, `html`, `type`, `ordering`, `published`,`link`) VALUES
(1, 'gender', 'Gender', '      &lt;input name=&quot;gender&quot; value=&quot;Male&quot; type=&quot;radio&quot;&gt; Male &lt;input name=&quot;gender&quot; value=&quot;Female&quot; type=&quot;radio&quot;&gt; Female ', 'CORE', 1, 1,1),
(2, 'country', 'Country', '         &lt;select size=1 name=country&gt;&lt;option&gt;Nepal&lt;/option&gt;&lt;option&gt;India&lt;/option&gt;&lt;option&gt;USA&lt;/option&gt;&lt;option&gt;UK&lt;/option&gt;&lt;option&gt;Other&lt;/option&gt;&lt;/select&gt; ', 'CORE', 2, 1,1),
(3, 'city', 'City', '      &lt;input type=text name=city&gt; ', '', 3, 1,1),
(4, 'block', 'Block Me', '      &lt;input name=&quot;block&quot; value=&quot;1&quot; type=&quot;radio&quot; &gt; YES &lt;input name=&quot;block&quot; value=&quot;0&quot; type=&quot;radio&quot;  checked &gt; NO ', 'CORE', 4, 0,1),
(5, 'file_upload', 'Add Picture', '      &lt;input type=&quot;file&quot; name=&quot;file_upload20&quot; id=&quot;file_upload20&quot; /&gt;', 'CORE', 5, 1,1),
(6, 'submit', 'Submit', ' &lt;input type=&quot;submit&quot; value=&quot;Submit&quot; class=&quot;submit&quot; /&gt;', 'CORE', 8, 1,1),
(7, 'tag', 'Tag', '     &lt;input type=&quot;text&quot; name=&quot;tag&quot;/&gt; ', 'CORE', 7, 1,1),
(8, 'desp', 'Description', '     &lt;textarea rows=&quot;2&quot; cols=&quot;20&quot; name=desp&gt;&lt;/textarea&gt;', 'CORE', 6, 1,1);


INSERT INTO `#__odude_profile_setting` (`id`, `gateway`, `cart_desp`, `paypal_email`, `auth_login`, `auth_secret`, `twoco_vender`, `twoco_secret`, `sandbox`, `currency`, `cart_1`, `day_cart_1`, `cost_cart_1`, `cart_2`, `day_cart_2`, `cost_cart_2`) VALUES
(1, 'Paypal', 'As soon as you purchase no. of point and days will be added.', 'test@sitename.com', '', '', '', '', 0, 'USD', 10, 10, 10, 5, 5, 5);